export default abstract class {
    /**
     * 当前系统的版本，默认是空的，当设置了版本时，打包前导出
     * 比如： gab、hubei、bejing 等
     */
    static version: string;
    /**
     * 获取当前页面皮肤样式
    */
    static theme(): string;
    /**
     * 获取URL链接的参数 ?a=1&b=2
     * Page.getParam('a') // '1'
     * Page.getParam('b') // '2'
     * Page.getParam('c') // ''
    */
    static getParam(param: any): string;
    /**
     * 加载权限
    */
    static loadRole(roleApi?: string): void;
    /**
     * 判断是否有权限
    */
    static hasRole(role: string): boolean;
    static layoutV(layout: {
        l: any;
        h: any;
    }, compoment: any, state: any): any;
    /**
     * 动态变化的高度与宽度
     *
     * s -1440 (1280)
     * m 1440-1600
     * l 1600-1920
     * xl 1920+
    */
    static layout(layout: {
        s: any;
        m?: any;
        l?: any;
        xl?: any;
    }, compoment: any, state: any): any;
    static ipToInt(ip: string): number;
    static ipToArea(ip: string): string;
}
